SyncVCenter
SyncVCenter
/zstack/v1/vcenters/{uuid}/actionsOperation ID
SyncVCenterSince
2.2Execution Mode
SynchronousAuth Context
Auth RequiredAuth Context
Send these values as request headers when calling this API.
AuthorizationstringRequiredBearer Token
X-Tenant-IDstringX-Tenant-ID
Request Inputs
application/jsonPath Parameters
uuidStringRequiredThe vCenter UUID.
Body Fields
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
200 OKOn success, this API returns the following response structure.
successbooleanRequiredWhether the operation succeeded.
skippedResourcesSkippedResourcesRequiredFor more information, see skippedResources.
vmInstancesSetRequiredFor more information, see vmInstances.
uuidStringRequiredThe resource UUID.
nameStringRequiredThe resource name.
descriptionStringOptional. The detailed description of the resource.
zoneUuidStringRequiredThe zone UUID.
clusterUuidStringRequiredThe cluster UUID.
imageUuidStringRequiredThe image UUID.
hostUuidStringRequiredThe host UUID.
lastHostUuidStringRequiredThe last host UUID.
instanceOfferingUuidStringRequiredThe instance offering UUID.
rootVolumeUuidStringRequiredThe root volume UUID.
platformStringRequiredThe platform.
architectureStringRequiredThe architecture type.
defaultL3NetworkUuidStringRequiredThe default L3 network UUID.
typeStringRequiredThe resource type.
hypervisorTypeStringRequiredThe hypervisor type.
memorySizeLongRequiredThe memory size.
cpuNumIntegerRequiredThe number of CPUs.
cpuSpeedLongRequiredThe CPU speed.
allocatorStrategyStringRequiredThe allocator strategy.
createDateTimestampRequiredThe creation time.
lastOpDateTimestampRequiredThe last operation time.
stateStringRequiredThe resource state.
guestOsTypeStringRequiredThe operating system type.
vmNicsListRequiredFor more information, see vmNics.
uuidStringRequiredThe resource UUID.
vmInstanceUuidStringRequiredThe VM instance UUID.
l3NetworkUuidStringRequiredThe L3 network UUID.
ipStringRequiredThe IP address.
macStringRequiredThe MAC address.
hypervisorTypeStringRequiredThe hypervisor type.
netmaskStringRequiredThe sub network mask.
gatewayStringRequiredThe gateway.
metaDataStringRequiredThe metadata.
ipVersionIntegerRequiredThe IP address.
deviceIdIntegerRequiredThe device ID.
typeStringRequiredThe NIC type.
createDateTimestampRequiredThe creation time.
lastOpDateTimestampRequiredThe last operation time.
usedIpsListRequiredFor more information, see usedIps.
uuidStringRequiredThe resource UUID.
ipRangeUuidStringRequiredThe IP range UUID.
l3NetworkUuidStringRequiredThe L3 network UUID.
ipVersionIntegerRequiredThe IP version.
ipStringRequiredThe IP address.
netmaskStringRequiredThe network mask.
gatewayStringRequiredThe gateway address
usedForStringRequiredThe intended use.
ipInLonglongRequiredThe IP address represented as a long integer.
vmNicUuidStringRequiredThe UUID of the VM instance NIC.
createDateTimestampRequiredThe creation time.
lastOpDateTimestampRequiredThe last operation time.
allVolumesListRequiredFor more information, see allVolumes.
uuidStringRequiredThe resource UUID.
nameStringRequiredThe resource name.
descriptionStringOptional. The detailed description of the resource.
primaryStorageUuidStringRequiredThe primary storage UUID.
vmInstanceUuidStringRequiredThe VM instance UUID.
diskOfferingUuidStringRequiredThe disk offering UUID.
rootImageUuidStringRequiredThe root image UUID.
installPathStringRequiredThe mount path of the volume on the primary storage.
typeStringRequiredThe volume type, including data volume and root volume.
formatStringRequiredThe volume format.
sizeLongRequiredThe volume size.
actualSizeLongRequiredThe volume actual size.
deviceIdIntegerRequiredThe device ID.
stateStringRequiredThe running state of the volume.
statusStringRequiredThe ready status of the volume.
createDateTimestampRequiredThe creation time.
lastOpDateTimestampRequiredTh last operation time.
isShareableBooleanRequiredThe sharing mode of the volume.
volumeQosStringRequiredThe volume QoS. Syntax sample: total=1048576
vmCdRomsListRequiredFor more information, see vmCdRoms.
uuidStringRequiredThe resource UUID.
vmInstanceUuidStringRequiredThe VM instance UUID.
deviceIdIntegerRequiredThe drive sequence number.
isoUuidStringRequiredThe ISO image UUID.
isoInstallPathStringRequiredThe mount path of the ISO image.
nameStringRequiredThe resource name.
descriptionStringOptional. The detailed description of the resource.
createDateTimestampRequiredThe creation time.
lastOpDateTimestampRequiredThe last operation time.
errorErrorCodeRequiredThe error code. If not null, the operation fails, or vice versa. For more information, see error.
codeStringRequiredThe error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.
descriptionStringRequiredThe brief description of the error.
detailsStringRequiredThe details about the error.
elaborationStringRequiredThe reserved field. Default value: null.
opaqueLinkedHashMapRequiredThe reserved field. Default value: null.
causeErrorCodeRequiredThe root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.
